#include <iostream>
#include <vector>

using namespace std;

constexpr int MAXTIME = 1440;
constexpr int WALKTIME = 120;

void solve() {
    int n;
    cin >> n;

    vector<int> a(n + 2, 0);
    for (int i = 1; i <= n; ++i) cin >> a[i];
    a[n + 1] = MAXTIME;

    int walk_count = 0;
    for (int i = 0; i <= n; ++i) {
        walk_count += (a[i + 1] - a[i]) / WALKTIME;
    }

    cout << (walk_count >= 2 ? "YES" : "NO") << endl;
}

int main() {
    int t;
    cin >> t;

    for (int i = 1; i <= t; ++i) solve();

    return 0;
}
