#include <iostream>
#include <vector>

using namespace std;

constexpr int MAXTIME = 1440;
constexpr int WALKTIME = 120;

void solve() {
    int n;
    cin >> n;

    vector<int> a(n + 1, 0);
    for (int i = 1; i <= n; ++i) cin >> a[i];

    bool ans = false;
    int walk_count = 0;
    for (int i = 0; i < n; ++i) {
        if (a[i + 1] - a[i] >= 2 * WALKTIME) {
            ans = true;
            break;
        }
        walk_count += int(a[i + 1] - a[i] >= WALKTIME);
    }

    cout << ((ans || walk_count >= 2) ? "YES" : "NO") << endl;
}

int main() {
    int t;
    cin >> t;

    for (int i = 1; i <= t; ++i) solve();

    return 0;
}
